Skip to main content

Get all leads

GEThttps://api.propexo.com/v1/leads/

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100
x_id string

The external lead id

x_property_id string

Deprecated: Use the Propexo property_id instead

location_id string

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

x_unit_id string

The external unit id

email_1 string

Lead email address

email_2 string

Lead email address alternate

property_id string

The Propexo property id

integration_id string

The Propexo integration id

integration_vendor string
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST

The integration vendor for the lead.

phone_1 string

Possible values: Value must match regular expression ^[2-9]\d{9}$

Filter by phone number (10 digit format only)

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results object[]required
  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_created_atstring | nullnullablerequired

    The date the record first entered the integration vendor

    Method
    leads/getLeads
    Example: 2024-01-15T10:30:00.000Z
    x_guestcard_idnullrequired

    The external ID of the guestcard from the integration vendor

    Notice

    This field will always be null for ENTRATA

    Example: null
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leads/getLeads
    Example: customer321
    x_leasing_agent_idstring | nullnullablerequired

    The external ID of the leasing agent from the integration vendor

    Method
    leads/getLeads
    Example: 123223
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    Method
    leads/getLeads
    Example: property987
    x_unit_idstring | nullnullablerequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    Method
    leads/getLeads
    x_unit_id_preferredstring[]required

    The external IDs of the units from the integration vendor that the lead is interested in

    Method
    leads/getLeads
    Example: ["456","123"]
    x_updated_atstring | nullnullablerequired

    The date the record was last updated in the integration vendor

    Method
    leads/getLeads
    Example: 2024-03-15T10:30:00.000Z
    x_lead_source_idstring | nullnullablerequired

    The external ID of the lead source from the integration vendor

    Method
    leads/getLeads
    Example: leadSource789
    address_1string | nullnullablerequired

    The first address line associated with the lead

    Method
    leads/getLeads
    Example: 123 Main St
    address_2nullrequired

    The second address line associated with the lead

    Notice

    This field will always be null for ENTRATA

    Example: null
    citystring | nullnullablerequired

    The city associated with the lead

    Method
    leads/getLeads
    Example: Springfield
    countrystring | nullnullablerequired

    The country associated with the lead

    Method
    leads/getLeads
    Example: US
    custom_data object | nullrequired
    object
    date_of_birthstring | nullnullablerequired

    The date of birth associated with the lead

    Method
    leads/getLeads
    Example: 1980-01-01T00:00:00.000Z
    desired_amenitiesstring | nullnullablerequired

    The desired amenities associated with the lead

    Method
    leads/getLeads
    Example: pool, gym, parking
    desired_floor_plan_idstring | nullnullablerequired

    The external ID of desired floor plan associated with the lead

    Method
    leads/getLeads
    Example: floorplan123
    desired_floor_plan_namestring | nullnullablerequired

    The desired floor plan name

    Method
    leads/getLeads
    Example: 2BHK Deluxe
    desired_lease_term_in_monthsstring | nullnullablerequired

    The desired lease term

    Method
    leads/getLeads
    Example: 12
    desired_max_rent_in_centsnumber | nullnullablerequired

    The desired maximum rent

    Method
    leads/getLeads
    Example: 200000
    desired_max_square_ftnullrequired

    The desired maximum square feet

    Notice

    This field will always be null for ENTRATA

    Example: null
    desired_min_rent_in_centsnumber | nullnullablerequired

    The desired minimum rent

    Method
    leads/getLeads
    Example: 150000
    desired_min_square_ftnullrequired

    The desired minimum square feet

    Notice

    This field will always be null for ENTRATA

    Example: null
    desired_num_bathroomsnumber | nullnullablerequired

    The desired number of bathrooms

    Method
    leads/getLeads
    Example: 2
    desired_num_bedroomsinteger | nullnullablerequired

    The desired number of bedrooms

    Method
    leads/getLeads
    Example: 2
    desired_unit_numberstring | nullnullablerequired

    The desired unit number

    Method
    leads/getLeads
    Example: A202
    desired_unit_typestring | nullnullablerequired

    The desired unit type

    Method
    leads/getLeads
    Example: Apartment
    email_1string | nullnullablerequired

    The primary email address associated with the lead

    Method
    leads/getLeads
    email_2nullrequired

    The secondary email address associated with the lead

    Notice

    This field will always be null for ENTRATA

    Example: null
    first_namestring | nullnullablerequired

    The first name associated with the lead

    Method
    leads/getLeads
    Example: John
    ilsnullrequired

    The name of the Internet listing service

    Notice

    This field will always be null for ENTRATA

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the lead

    Method
    leads/getLeads
    Example: Doe
    lead_sourcestring | nullnullablerequired

    The lead source

    Method
    leads/getLeads
    Example: website
    leasing_agentnullrequired

    The name of the leasing agent

    Notice

    This field will always be null for ENTRATA

    Example: null
    middle_namestring | nullnullablerequired

    The middle name associated with the lead

    Method
    leads/getLeads
    Example: Michael
    notesnullrequired

    Notes associated with the lead

    Notice

    This field will always be null for ENTRATA

    Example: null
    number_of_occupantsinteger | nullnullablerequired

    The number of occupants

    Method
    leads/getLeads
    Example: 3
    pet_detailsnullrequireddeprecated

    DEPRECATED: Use the pets array instead

    Notice

    This field will always be null for ENTRATA

    Example: null
    pets object[]required

    The pets associated with the lead

  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leads/getLeads
    Example: pet456
    age_in_yearsnullrequired

    The age in years of the lead pet

    Notice

    This field will always be null for ENTRATA

    Example: null
    breedstring | nullnullablerequired

    The breed of the lead pet

    Method
    leads/getLeads
    Example: Golden Retriever
    colornullrequired

    The color of the lead pet

    Notice

    This field will always be null for ENTRATA

    Example: null
    gender_rawnullrequired

    The raw value for the gender of the lead pet

    Notice

    This field will always be null for ENTRATA

    Example: null
    is_fixednullrequired

    Whether the lead pet is fixed

    Notice

    This field will always be null for ENTRATA

    Example: null
    is_service_animalnullrequired

    Whether the lead pet is a service animal

    Notice

    This field will always be null for ENTRATA

    Example: null
    namenullrequired

    The name associated with the lead pet

    Notice

    This field will always be null for ENTRATA

    Example: null
    notesstring | nullnullablerequired

    Notes associated with the lead pet

    Method
    leads/getLeads
    Example: Friendly and playful
    typestring | nullnullablerequired

    The type associated with the lead pet

    Method
    leads/getLeads
    Example: dog
    weight_in_poundsnullrequired

    The weight in pounds of the lead pet

    Notice

    This field will always be null for ENTRATA

    Example: null
    custom_data object | nullrequired
    object
  • ]
  • phone_1_typestring | nullnullablerequired

    Type of the primary phone number

    Method
    leads/getLeads
    Example: MOBILE
    phone_1string | nullnullablerequired

    Primary phone number associated with the lead

    Method
    leads/getLeads
    Example: (123) 456-7890
    phone_2_typestring | nullnullablerequired

    Type of the secondary phone number

    Method
    leads/getLeads
    Example: OTHER
    phone_2string | nullnullablerequired

    Secondary phone number associated with the lead

    Method
    leads/getLeads
    Example: (098) 765-4321
    statestring | nullnullablerequired

    The state associated with the lead

    Method
    leads/getLeads
    Example: IL
    statusstring | nullnullablerequired

    The raw status associated with the lead

    Method
    leads/getLeads
    Example: active
    target_move_in_datestring | nullnullablerequired

    The target move in date

    Method
    leads/getLeads
    Example: 2024-07-01T00:00:00.000Z
    zipstring | nullnullablerequired

    The zip code associated with the lead

    Method
    leads/getLeads
    Example: 62704
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    lead_source_idstring | nullnullablerequired

    The Propexo unique identifier for the lead source

    Method
    leads/getLeads
    Example: testintegration:1229972:105294
    unit_id_preferredstring[]required

    The Propexo unique identifiers for the units that the lead is interested in

    Method
    leads/getLeads
    Example: ["testintegration:123:456","testintegration:678:123"]
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum15required

    The property management system of record

    Show 13 enum values
    ENTRATAAPPFOLIOBUILDIUMMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_REST
    Example: ENTRATA
    screenings object[]required
  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    Method
    leads/getLeads
    Example: 7b825f6fe0992387a658c96cf23d49d50d66cc3ee01bdb37e9a6cec7699961fd
    status_rawstring | nullnullablerequired

    The status/results of the screening

    Method
    leads/getLeads
    Example: Fail
    screening_datenullrequired

    The date the screening took place

    Notice

    This field will always be null for ENTRATA

    Example: null
  • ]
  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/leads/
curl https://api.propexo.com/v1/leads/ \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": "2024-01-15T10:30:00.000Z",
"x_guestcard_id": null,
"x_id": "customer321",
"x_leasing_agent_id": "123223",
"x_property_id": "property987",
"x_unit_id_preferred": [
"456",
"123"
],
"x_updated_at": "2024-03-15T10:30:00.000Z",
"x_lead_source_id": "leadSource789",
"address_1": "123 Main St",
"address_2": null,
"city": "Springfield",
"country": "US",
"custom_data": "Unknown Type: object,null",
"date_of_birth": "1980-01-01T00:00:00.000Z",
"desired_amenities": "pool, gym, parking",
"desired_floor_plan_id": "floorplan123",
"desired_floor_plan_name": "2BHK Deluxe",
"desired_lease_term_in_months": "12",
"desired_max_rent_in_cents": 200000,
"desired_max_square_ft": null,
"desired_min_rent_in_cents": 150000,
"desired_min_square_ft": null,
"desired_num_bathrooms": 2,
"desired_num_bedrooms": 2,
"desired_unit_number": "A202",
"desired_unit_type": "Apartment",
"email_1": "[email protected]",
"email_2": null,
"first_name": "John",
"ils": null,
"last_name": "Doe",
"lead_source": "website",
"leasing_agent": null,
"middle_name": "Michael",
"notes": null,
"number_of_occupants": 3,
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "pet456",
"age_in_years": null,
"breed": "Golden Retriever",
"color": null,
"gender_raw": null,
"is_fixed": null,
"is_service_animal": null,
"name": null,
"notes": "Friendly and playful",
"type": "dog",
"weight_in_pounds": null,
"custom_data": "Unknown Type: object,null"
}
],
"phone_1_type": "MOBILE",
"phone_1": "(123) 456-7890",
"phone_2_type": "OTHER",
"phone_2": "(098) 765-4321",
"state": "IL",
"status": "active",
"target_move_in_date": "2024-07-01T00:00:00.000Z",
"zip": "62704",
"property_id": "clwi5xiix000008l6ctdgafyh",
"lead_source_id": "testintegration:1229972:105294",
"unit_id_preferred": [
"testintegration:123:456",
"testintegration:678:123"
],
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "ENTRATA",
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "7b825f6fe0992387a658c96cf23d49d50d66cc3ee01bdb37e9a6cec7699961fd",
"status_raw": "Fail",
"screening_date": null
}
]
}
]
}